Skip to main content
GET
/
communication
/
threads
cURL
curl --request GET \
  --url https://app.masivo.ai/api/storefront/v1/communication/threads \
  --header 'Authorization: Bearer <token>' \
  --header 'x-account-id: <x-account-id>'
import requests

url = "https://app.masivo.ai/api/storefront/v1/communication/threads"

headers = {
"x-account-id": "<x-account-id>",
"Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {'x-account-id': '<x-account-id>', Authorization: 'Bearer <token>'}
};

fetch('https://app.masivo.ai/api/storefront/v1/communication/threads', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "ticket_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "review_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "customer_id": "<string>",
      "inbox_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "channel_account_id": "<string>",
      "external_thread_id": "<string>",
      "assignee_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "latest_message_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "latest_message_at": "2023-11-07T05:31:56Z",
      "latest_message_preview": "<string>",
      "unread_count": 123,
      "metadata": {},
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "closed_at": "2023-11-07T05:31:56Z",
      "deleted_at": "2023-11-07T05:31:56Z"
    }
  ],
  "from": 123,
  "to": 123,
  "count": 123
}
{
"error": "<string>",
"details": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

x-account-id
string<uuid>
required

The account that owns the communication records

Query Parameters

from
integer
default:0
to
integer
default:49
ticket_id
string<uuid>
review_id
string<uuid>
customer_id
string
channel
enum<string>
Available options:
email,
whatsapp,
chat,
review,
system,
other
status
enum<string>
Available options:
open,
closed

Response

Communication thread shells

data
object[]
from
number
to
number
count
number